LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::script::browse::BrowseNodeTypes Constant Group Reference

These constants define the three different types of nodes in the BrowseNode hierarchy. More...

## Variables
const short | SCRIPT = 0
| Indicates node is a script. More...
const short | CONTAINER = 1
| Indicates node is a container. More...
const short | ROOT = 2
| Indicates node is root of the tree. More...

## Detailed Description

These constants define the three different types of nodes in the BrowseNode hierarchy.

## Variable Documentation

## ◆ CONTAINER

const short CONTAINER = 1

Indicates node is a container.

## ◆ ROOT

const short ROOT = 2

Indicates node is root of the tree.

## ◆ SCRIPT

const short SCRIPT = 0

Indicates node is a script.